Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.resource.metadata
Class ConnectionDefinitionMetaData

    java.lang.Object
      org.jboss.resource.metadata.ConfigPropertyMetaDataContainer
          org.jboss.resource.metadata.ConnectionDefinitionMetaData

All Implemented Interfaces:
  Serializable

public class ConnectionDefinitionMetaData
extends ConfigPropertyMetaDataContainer

Connection Definition meta data

Version:
  $Revision: 1.1 $
Author:
  Adrian Brock
See Also:
  Serialized Form

Constructor Summary
`ConnectionDefinitionMetaData(ConnectorMetaData cmd)`

Method Summary
`String` | `getConnectionFactoryImplementationClass()` Get the connection factory implementation class
`String` | `getConnectionFactoryInterfaceClass()` Get the connection factory interface class
`String` | `getConnectionImplementationClass()` Get the connection implementation class
`String` | `getConnectionInterfaceClass()` Get the connection interface class
`ConnectorMetaData` | `getConnector()` Get the connector
`String` | `getManagedConnectionFactoryClass()` Get the managed connection factory class
`void` | `setConnectionFactoryImplementationClass(String connectionFactoryImplementationClass)` Set the connection factory implementation class
`void` | `setConnectionFactoryInterfaceClass(String connectionFactoryInterfaceClass)` Set the connection factory interface class
`void` | `setConnectionImplementationClass(String connectionImplementationClass)` Set the connection implementation class
`void` | `setConnectionInterfaceClass(String connectionInterfaceClass)` Set the connection interface class
`void` | `setManagedConnectionFactoryClass(String managedConnectionFactoryClass)` Set the managed connection factory class
`String` | `toString()`

Methods inherited from class org.jboss.resource.metadata.ConfigPropertyMetaDataContainer
`addProperty, getProperties, getProperty`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ConnectionDefinitionMetaData

    public ConnectionDefinitionMetaData(ConnectorMetaData cmd)

Method Detail

### getConnector

    public ConnectorMetaData getConnector()

  Get the connector

  Returns:
    the connector

### getManagedConnectionFactoryClass

    public String getManagedConnectionFactoryClass()

  Get the managed connection factory class

  Returns:
    the managed connection factory class

### setManagedConnectionFactoryClass

    public void setManagedConnectionFactoryClass(String managedConnectionFactoryClass)

  Set the managed connection factory class

  Parameters:
    `managedConnectionFactoryClass` - the class name

### getConnectionFactoryInterfaceClass

    public String getConnectionFactoryInterfaceClass()

  Get the connection factory interface class

  Returns:
    the connection factory interface class

### setConnectionFactoryInterfaceClass

    public void setConnectionFactoryInterfaceClass(String connectionFactoryInterfaceClass)

  Set the connection factory interface class

  Parameters:
    `connectionFactoryInterfaceClass` - the class name

### getConnectionFactoryImplementationClass

    public String getConnectionFactoryImplementationClass()

  Get the connection factory implementation class

  Returns:
    the connection factory implementation class

### setConnectionFactoryImplementationClass

    public void setConnectionFactoryImplementationClass(String connectionFactoryImplementationClass)

  Set the connection factory implementation class

  Parameters:
    `connectionFactoryImplementationClass` - the class name

### getConnectionInterfaceClass

    public String getConnectionInterfaceClass()

  Get the connection interface class

  Returns:
    the connection interface class

### setConnectionInterfaceClass

    public void setConnectionInterfaceClass(String connectionInterfaceClass)

  Set the connection interface class

  Parameters:
    `connectionInterfaceClass` - the class name

### getConnectionImplementationClass

    public String getConnectionImplementationClass()

  Get the connection implementation class

  Returns:
    the connection implementation class

### setConnectionImplementationClass

    public void setConnectionImplementationClass(String connectionImplementationClass)

  Set the connection implementation class

  Parameters:
    `connectionImplementationClass` - the class name

### toString

    public String toString()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.